<?
if(isset($_GET['mygarden']) && isset($_GET['buy']) && intval($_GET['buy'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_garden` WHERE `id` = '".intval($_GET['buy'])."' AND `id_user` = '$ku[id]' AND `id_pet` = '0'"),0)!=0)
{
$petground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_garden` WHERE `id` = '".intval($_GET['buy'])."' AND `id_user` = '$ku[id]'"));
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_tree` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_tree` WHERE `id` = '".intval($_GET['select'])."'"));
if($ku['rubies']>=$pet['cena'])
{
if(isset($_GET['ok']))
{
$_SESSION['buy_tree']=$pet['id'];
$_SESSION['buy_tree_name']=$pet['name'];
$_SESSION['buy_tree_cena']=$pet['cena'];
mysql_query("UPDATE `kolhoz_garden` SET `id_pet` = '$pet[id]', `time_money` = '$time', `time_money2` = '0', `last_rf` = '$time' WHERE `id` = '$petground[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$pet['cena'])."' WHERE `id` = '$ku[id]'");
header("Location:/mygarden/".passgen());
exit;
}
podtv("mygarden/buy-$petground[id]/select-$pet[id]/ok","/mygarden/buy-$petground[id]");
include_once 'inc/foot.php';
}
else
{
no_rubies($pet['cena']-$ku['rubies']);
}
}
echo '<div class="event"><h1>Магазин саженцев</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_tree`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_tree` ORDER BY `level` ASC LIMIT $start, $set[p_str]");

echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/tree/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='/mygarden/buy-$petground[id]/select-$post[id]'><span>":"<span class='title'>")."".hsc($post['name'])." </span>".($ku['level']>=$post['level']?"</a>":null)."<span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='images/icons/ruby.png' alt=''><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='minor small'><span>".hsc($post['work'])."</span>, доход: <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span
class='title'>$post[money]</span></span>, <br/>опыт за удобрение: <img width='16' height='16' src='images/icons/experience.png' alt='o'>
<span>$post[rating]</span></div></li>";
}
if ($k_page>1)new_str("mygarden/buy-$petground[id]/",$k_page,$page); // Вывод страниц
echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';
}
?>